Bug 1263845 - UI: When migrate button is pressed from a sub list of VMs, it redirects to incorrect screen.
UI: When migrate button is pressed from a sub list of VMs, it redirects to in...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.3.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.0
Assigned To: Harpreet Kataria
Taras Lehinevych
: ZStream
Depends On:
Blocks: 1265254
  Show dependency treegraph
 
Reported: 2015-09-16 17:19 EDT by Harpreet Kataria
Modified: 2016-08-02 21:32 EDT (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1265254 (view as bug list)
Environment:
Last Closed: 2015-12-08 08:30:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harpreet Kataria 2015-09-16 17:19:24 EDT
Description of problem: When migrate button is pressed from a sub list of VMs, it redirects to incorrect screen.


Version-Release number of selected component (if applicable):
5.3.z

How reproducible:
100%

Steps to Reproduce:
1. Go Infrastructure Provider summary screen
2. Click on link to list of VMs for the selected Provider in Relationships box
3. Select One or more VMs to migrate
4. User is redirected to Pre-Provisioning screen, with list of Templates to choose from.

Actual results: User is redirected to Pre-Provisioning screen, with list of Templates to choose from.


Expected results: Provisioning form should be presented with specific tabs and fields relate dot Migrate task


Additional info: This works fine, when going directly to VM explorer and performing Migrate task for selected VMs.
Comment 5 CFME Bot 2015-09-17 16:04:23 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=f16094bd171ef7169ebc0ef3a0e6d92d27acc20b

commit f16094bd171ef7169ebc0ef3a0e6d92d27acc20b
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Sep 17 15:34:12 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Sep 17 15:34:12 2015 -0400

    Fixed to load correct screen when pressing button sunder Lifecycle.
    
    When pressing Publish, Migrate, Clone buttons under Lifecycle toolbar button from list of VMs under a Provider thru relationship was loading pre provisioning dialog, it should load the workflow dialog directly. Pre-provisioning dialog is only supposed to show when Adding a new Provisioning request directly from VM explorers.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1263845

 app/controllers/application_controller.rb                     | 2 +-
 app/controllers/application_controller/miq_request_methods.rb | 3 ++-
 spec/controllers/ems_infra_controller_spec.rb                 | 9 +++++++++
 3 files changed, 12 insertions(+), 2 deletions(-)
Comment 6 CFME Bot 2015-09-23 20:48:59 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/f16094bd171ef7169ebc0ef3a0e6d92d27acc20b

commit f16094bd171ef7169ebc0ef3a0e6d92d27acc20b
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Sep 17 15:34:12 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Sep 17 15:34:12 2015 -0400

    Fixed to load correct screen when pressing button sunder Lifecycle.
    
    When pressing Publish, Migrate, Clone buttons under Lifecycle toolbar button from list of VMs under a Provider thru relationship was loading pre provisioning dialog, it should load the workflow dialog directly. Pre-provisioning dialog is only supposed to show when Adding a new Provisioning request directly from VM explorers.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1263845

 app/controllers/application_controller.rb                     | 2 +-
 app/controllers/application_controller/miq_request_methods.rb | 3 ++-
 spec/controllers/ems_infra_controller_spec.rb                 | 9 +++++++++
 3 files changed, 12 insertions(+), 2 deletions(-)
Comment 9 errata-xmlrpc 2015-12-08 08:30:51 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.